org.gradle.language.java

## Interface JavaSourceSet

- All Superinterfaces:
    Buildable, LanguageSourceSet, Named

      @Incubating
      public interface JavaSourceSet
      extends LanguageSourceSet

  A set of sources passed to the Java compiler.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Classpath` | `getCompileClasspath()`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getCompileClasspath

          Classpath getCompileClasspath()